statelessrule("Feature fix version propagation", model.Event.BEFORE_FLUSH, function(ctx) {
  return safeCall(ctx.issue,"isChanged", ["Fix versions"], false);
}, function(ctx) {
  for(var child_iterator = safeCall(ctx.issue,"get", ["parent for"]).iterator(); child_iterator.hasNext();) {
    var child = child_iterator.next();
    safeCall(safeCall(child,"get", ["Fix versions"]),"clear", []);
    for(var fixVersion_iterator = safeCall(ctx.issue,"get", ["Fix versions"]).iterator(); fixVersion_iterator.hasNext();) {
      var fixVersion = fixVersion_iterator.next();
      safeCall(safeCall(child,"get", ["Fix versions"]),"add", [fixVersion]);
    }
  }
}).addRequirements(requirements([{name: "Issue", fields: [{name: "Fix versions", type: {name: "ProjectVersion", multiple: true}}, {name: "Subtask", type: {name: "IssueLinkPrototype", multiple: true, fields: [{name: "parent for", type: {name: "Issue", multiple: true}}, {name: "subtask of", type: {name: "Issue", multiple: true}}]}}]}]));