statelessrule("Watch on code reviewer", model.Event.BEFORE_FLUSH, function(ctx) {
  return safeCall(ctx.issue,"isChanged", ["Code reviewer"], false) && !equals(safeCall(ctx.issue,"get", ["Code reviewer"]), null);
}, function(ctx) {
  invoke(ctx, safeCall(ctx.issue,"get", ["Code reviewer"]), "watchIssue", [ctx.issue]);
  invoke(ctx, ctx.issue, "addComment", ["Code reviewer assigned: " + safeCall(safeCall(ctx.issue,"get", ["Code reviewer"]),"get", ["fullName"], null)]);
}).addRequirements(requirements([{name: "Issue", fields: [{name: "Code reviewer", type: {name: "User", fields: [{name: "fullName", type: {name: "string", primitive: true}}], methods: [{name: "watchIssue", returnType: {name: "void"}, paramTypes: [{name: "Issue"}]}]}}]}]));